<?php
session_start();
require_once 'includes/db_connect.php';

if (!isset($_SESSION['user_id'])) {
    die("You must be logged in to like a post.");
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $post_id = $_POST['post_id'];
    $user_id = $_SESSION['user_id'];

    // Insert the like
    $sql = "INSERT INTO likes (post_id, user_id) VALUES (?, ?)";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("ii", $post_id, $user_id);

    if ($stmt->execute()) {

        // Fetch the post owner's user_id to notify
        $stmt_owner = $conn->prepare("SELECT user_id FROM posts WHERE id = ?");
        $stmt_owner->bind_param("i", $post_id);
        $stmt_owner->execute();
        $result_owner = $stmt_owner->get_result();

        if ($result_owner->num_rows > 0) {
            $post_owner = $result_owner->fetch_assoc();
            $post_owner_id = $post_owner['user_id'];

            // Avoid notifying the user if they like their own post
            if ($post_owner_id != $user_id) {
                // Insert the notification
                $notif_stmt = $conn->prepare("INSERT INTO notifications (user_id, sender_id, type, content) VALUES (?, ?, 'like', ?)");
                $notif_content = 'liked your post';
                $notif_stmt->bind_param("iis", $post_owner_id, $user_id, $notif_content);
                $notif_stmt->execute();
            }
        }

        header("Location: feed.php"); // Redirect back to the feed
    } else {
        echo "Error: " . $sql . "<br>" . $conn->error;
    }
}
?>


