<?php
session_start();
require_once 'includes/db_connect.php';

if (!isset($_SESSION['user_id'])) {
    die("You must be logged in to follow/unfollow.");
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $follower_id = $_SESSION['user_id'];
    $followed_id = $_POST['followed_id'];

    // Check if already following
    $follow_sql = "SELECT * FROM followers WHERE follower_id = ? AND followed_id = ?";
    $follow_stmt = $conn->prepare($follow_sql);
    $follow_stmt->bind_param("ii", $follower_id, $followed_id);
    $follow_stmt->execute();
    $follow_result = $follow_stmt->get_result();

    if ($follow_result->num_rows > 0) {
        // Unfollow
        $unfollow_sql = "DELETE FROM followers WHERE follower_id = ? AND followed_id = ?";
        $unfollow_stmt = $conn->prepare($unfollow_sql);
        $unfollow_stmt->bind_param("ii", $follower_id, $followed_id);
        $unfollow_stmt->execute();
    } else {
        // Follow
        $follow_insert_sql = "INSERT INTO followers (follower_id, followed_id) VALUES (?, ?)";
        $follow_insert_stmt = $conn->prepare($follow_insert_sql);
        $follow_insert_stmt->bind_param("ii", $follower_id, $followed_id);
        $follow_insert_stmt->execute();
    }

    header("Location: profile.php?user_id=" . $followed_id); // Redirect back to profile
}
?>