<?php
session_start();
require_once 'includes/db_connect.php';

if (!isset($_SESSION['user_id'])) {
    die("You must be logged in to view following.");
}

$user_id = $_SESSION['user_id'];

$sql = "SELECT users.* FROM users JOIN followers ON users.id = followers.followed_id WHERE followers.follower_id = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param("i", $user_id);
$stmt->execute();
$result = $stmt->get_result();
?>

<!DOCTYPE html>
<html>
<head>
    <title>Following</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <div class="following-container">
        <h2>Following</h2>
        <?php
        if ($result->num_rows > 0) {
            while ($user = $result->fetch_assoc()) {
                echo "<div class='user-item'>";
                if (!empty($user['profile_picture'])) {
                    echo "<img src='" . $user['profile_picture'] . "' class='profile-pic'>";
                } else {
                    echo "<div class='profile-pic placeholder'></div>";
                }
                echo "<a href='profile.php?user_id=" . $user['id'] . "'>" . $user['username'] . "</a>";
                echo "</div>";
            }
        } else {
            echo "<p>You are not following anyone.</p>";
        }
        ?>
    </div>
</body>
</html>