<?php
session_start(); // Ensure session is started
?>
<!DOCTYPE html>
<html>

<head>
    <title><?php echo isset($page_title) ? $page_title : 'Instagram Clone'; ?></title>
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css"
        integrity="sha512-9usAa10IRO0HhonpyAIVpjrylPvoDwiPUiKdWk5t3PyolY1cOd4DSE0Ga+ri4AuTroPR5aQvXU9xC6qOPnzFeg=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
</head>

<body>
    <header>
        <div class="header-container">
            <div class="header-left">
                <a href="feed.php" class="logo">MyGram</a>
            </div>
            <div class="header-center">
                <form action="search.php" method="get" class="search-form">
                    <input type="text" name="search_term" placeholder="Search"
                        value="<?php echo htmlspecialchars(isset($_GET['search_term']) ? $_GET['search_term'] : ''); ?>">
                    <button type="submit"><i class="fas fa-search"></i></button>
                </form>
            </div>
            <div class="header-right">
                <nav>
                    <ul class="nav-links">
                        <li><a href="feed.php"><i class="fas fa-home"></i></a></li>
                        <li><a href="upload_post_form.html"><i class="fas fa-plus-square"></i></a></li>
                        <li><a href="profile.php"><i class="fas fa-user"></i></a></li>
                        <li><a href="following.php"><i class="fas fa-heart"></i></a></li>
                        <?php if (isset($_SESSION['user_id'])): ?>
                        <li><a href="logout.php"><i class="fas fa-sign-out-alt"></i></a></li>
                        <?php else: ?>
                        <li><a href="login_form.html">Login</a></li>
                        <li><a href="register_form.html">Register</a></li>
                        <?php endif; ?>
                    </ul>
                </nav>
            </div>
        </div>
    </header>

    <div class="content">