<?php
require_once('config.php');

$post_id = intval($_GET['post_id'] ?? 0);
if (!$post_id) exit;

$stmt = $conn->prepare("
    SELECT u.username 
    FROM likes l 
    JOIN users u ON u.id = l.user_id 
    WHERE l.post_id = ?
    ORDER BY l.id DESC
");
$stmt->bind_param("i", $post_id);
$stmt->execute();
$result = $stmt->get_result();

$likes = [];
while ($row = $result->fetch_assoc()) {
    $likes[] = $row['username'];
}

header('Content-Type: application/json');
echo json_encode($likes);
