<?php
session_start();
require_once('config.php');

// Show errors for debugging (remove on production)
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Get form data
$username = trim($_POST['username'] ?? '');
$password = trim($_POST['password'] ?? '');

// Basic input check
if (empty($username) || empty($password)) {
    die("Both username and password are required.");
}

// Query the user
$stmt = $conn->prepare("SELECT * FROM users WHERE username = ?");
$stmt->bind_param("s", $username);
$stmt->execute();
$result = $stmt->get_result();

if ($result->num_rows === 1) {
    $user = $result->fetch_assoc();

    // Verify password (assumes hashed password in DB)
    if (password_verify($password, $user['password'])) {
        $_SESSION['user_id'] = $user['id'];
        header("Location: profile.php?id=" . $user['id']);
        exit;
    } else {
        die("Incorrect password.");
    }
} else {
    die("User not found.");
}
?>
