<?php
session_start();
require_once 'includes/db_connect.php';

if (!isset($_SESSION['user_id'])) {
    die("You must be logged in.");
}

$user_id = $_SESSION['user_id'];

// Sanitize inputs
$username = trim($_POST['username'] ?? '');
$bio = trim($_POST['bio'] ?? '');
$city = trim($_POST['city'] ?? '');

// Check required
if (empty($username)) {
    die("Username cannot be empty.");
}

// Profile picture logic
$profile_pic_path = null;
if (!empty($_FILES['profile_picture']['name'])) {
    $target_dir = "upload/";
    $unique_name = uniqid() . "_" . basename($_FILES["profile_picture"]["name"]);
    $target_file = $target_dir . $unique_name;

    if (move_uploaded_file($_FILES["profile_picture"]["tmp_name"], $target_file)) {
        $profile_pic_path = $target_file;
    } else {
        die("Failed to upload profile picture.");
    }
}

// Update query
$sql = "UPDATE users SET username = ?, bio = ?, city = ?" . ($profile_pic_path ? ", profile_picture = ?" : "") . " WHERE id = ?";
$stmt = $conn->prepare($sql);

if ($profile_pic_path) {
    $stmt->bind_param("ssssi", $username, $bio, $city, $profile_pic_path, $user_id);
} else {
    $stmt->bind_param("sssi", $username, $bio, $city, $user_id);
}

if ($stmt->execute()) {
    header("Location: profile.php?id=" . $user_id);
    exit;
} else {
    echo "Error updating profile.";
}
?>