<?php
session_start();
require_once 'includes/db_connect.php';

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

if (!isset($_SESSION['user_id'])) {
    die("You must be logged in to upload a post.");
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $user_id = $_SESSION['user_id'];
    $caption = $_POST['caption'] ?? '';
    $upload_dir = 'upload/';
    $image_path = null;
    $video_path = null;
    $post_type = null;

    // Only one file type allowed per post
    if (!empty($_FILES['image']['name']) && $_FILES['image']['error'] === 0) {
        $image_name = uniqid() . '_' . basename($_FILES['image']['name']);
        $image_path = $upload_dir . $image_name;
        move_uploaded_file($_FILES['image']['tmp_name'], $image_path);
        $post_type = 'image';
    } elseif (!empty($_FILES['video']['name']) && $_FILES['video']['error'] === 0) {
        $video_name = uniqid() . '_' . basename($_FILES['video']['name']);
        $video_path = $upload_dir . $video_name;
        move_uploaded_file($_FILES['video']['tmp_name'], $video_path);
        $post_type = 'video';
    }

    if ($post_type) {
        $sql = "INSERT INTO posts (user_id, image_path, video_path, caption, post_type, created_at)
                VALUES (?, ?, ?, ?, ?, NOW())";
        $stmt = $conn->prepare($sql);
        $stmt->bind_param("issss", $user_id, $image_path, $video_path, $caption, $post_type);

        if ($stmt->execute()) {
            header("Location: feed.php");
            exit;
        } else {
            echo "Error saving post: " . $stmt->error;
        }
    } else {
        echo "Please select a valid image or video to upload.";
    }
}
?>
